Bug 18468 - When adding from a staged file order discounts are not passed into C4::Acquisitions::populate_order_with_prices
Summary: When adding from a staged file order discounts are not passed into C4::Acquis...
Status: REOPENED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 15503
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-21 01:36 UTC by Nick Clemens
Modified: 2017-05-14 12:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18468 - When adding from a staged file order discounts are not passed into C4::Acquisitions::populate_order_with_prices (1.68 KB, patch)
2017-04-21 01:39 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18468 - When adding from a staged file order discounts are not passed into C4::Acquisitions::populate_order_with_prices (1.74 KB, patch)
2017-04-23 21:41 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 18468 - When adding from a staged file order discounts are not passed into C4::Acquisitions::populate_order_with_prices (1.81 KB, patch)
2017-04-24 17:00 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-04-21 01:36:32 UTC
Discounts are not stored in $orderinfo before passing to populate prices
Comment 1 Nick Clemens 2017-04-21 01:39:30 UTC
Created attachment 62512 [details] [review]
Bug 18468 - When adding from a staged file order discounts are not passed into C4::Acquisitions::populate_order_with_prices

To test:
1 - Setup a vendor with a discount
2 - Stage a file
3 - Create a basket
4 - Order from staged file
5 - Add a price but no discount
6 - Save order
7 - Note ecost is not discounted
8 - Apply patch
9 - Repeate 2-6
10 - Note ecost is discounted
Comment 2 Alex Buckley 2017-04-23 21:41:49 UTC
Created attachment 62578 [details] [review]
Bug 18468 - When adding from a staged file order discounts are not passed into C4::Acquisitions::populate_order_with_prices

To test:
1 - Setup a vendor with a discount
2 - Stage a file
3 - Create a basket
4 - Order from staged file
5 - Add a price but no discount
6 - Save order
7 - Note ecost is not discounted
8 - Apply patch
9 - Repeate 2-6
10 - Note ecost is discounted

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 3 Jonathan Druart 2017-04-24 17:00:50 UTC
Created attachment 62618 [details] [review]
Bug 18468 - When adding from a staged file order discounts are not passed into C4::Acquisitions::populate_order_with_prices

To test:
1 - Setup a vendor with a discount
2 - Stage a file
3 - Create a basket
4 - Order from staged file
5 - Add a price but no discount
6 - Save order
7 - Note ecost is not discounted
8 - Apply patch
9 - Repeate 2-6
10 - Note ecost is discounted

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2017-04-24 17:16:49 UTC
Pushed to master for 17.05, thanks Nick!
Comment 5 jmbroust 2017-05-05 09:42:49 UTC
Hello, I'm into testing Koha 16.11.06 and i noticed the same problem. Can this patch be backported to 16.11 or shall I open a new bug ? Thanx.
Comment 6 Jonathan Druart 2017-05-05 13:13:43 UTC
(In reply to jmbroust from comment #5)
> Hello, I'm into testing Koha 16.11.06 and i noticed the same problem. Can
> this patch be backported to 16.11 or shall I open a new bug ? Thanx.

Ccing Katrin, Rmaint 16.11.
Comment 7 Katrin Fischer 2017-05-13 11:43:09 UTC
Dependency is not in 16.11.x.
Comment 8 Katrin Fischer 2017-05-14 12:02:21 UTC
Just noticed the earlier comments - checking.
Comment 9 Katrin Fischer 2017-05-14 12:04:42 UTC
The patch from master doesn't apply cleanly on 16.11.x and I am not sure how to resolve the conflict. Can someone take a look and provide a patch for 16.11.x?